Skip to content

DELETE Certificate By ID.

DELETE
/api/shape/bot/namespaces/{namespace}/certificate/{cert_id}
curl --request DELETE \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/certificate/example \
--header 'Authorization: <Authorization>'

DELETE a certificate by its ID.

Examples of this operation.

namespace
required
string

Namespace x-required.

cert_id
required
string

Certificate ID

x-required.

A successful response.

Media typeapplication/json
DeleteCertificateByIDResponse

Detailed certificate response after DELETE.

object
certificate_detail
object
certificate_added
Certificate Added

Configuration parameter for certificate added

boolean format: boolean
certificate_added_date
Certificate Added Date

Configuration parameter for certificate added date

string format: date-time
<= 1024 characters
certificate_content
object
cert
Certificate

Configuration parameter for cert

string
<= 1024 characters
csr
CSR

Configuration parameter for csr

string
<= 1024 characters
id
ID

Unique identifier for the resource

string
<= 1024 characters
pkey
Private Key

Configuration parameter for pkey

string
<= 1024 characters
common_name
Common Name

Human-readable name for the resource

string
<= 1024 characters
country_name
Country Name

Human-readable name for the resource

string
<= 1024 characters
created_by_user
Created By User

Configuration parameter for created by user

string
<= 1024 characters
creation_time
Creation Time

Configuration parameter for creation time

string format: date-time
<= 1024 characters
csr_name
CSR Name

Human-readable name for the resource

string
<= 1024 characters
email
Email

Email address in RFC 5322 format

string format: email
<= 1024 characters /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/
enterprise_id
Enterprise ID

Unique identifier for this resource

string
<= 1024 characters
expiration_date
Expiration Date

Configuration parameter for expiration date

string format: date-time
<= 1024 characters
id
ID

Unique identifier for the resource

string
<= 1024 characters
issuer
Issuer

Configuration parameter for issuer

string
<= 1024 characters
last_update_time
Last Update Time

Configuration parameter for last update time

string format: date-time
<= 1024 characters
last_updated_by_user
Last Updated By User

Configuration parameter for last updated by user

string
<= 1024 characters
locality
Locality

Configuration parameter for locality

string
<= 1024 characters
name
Name

Human-readable name for the resource

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
organization_name
Organization Name

Human-readable name for the resource

string
<= 1024 characters
organization_unit_name
Organization Unit Name

Human-readable name for the resource

string
<= 1024 characters
retired
Retired

Configuration parameter for retired

boolean format: boolean
san
SAN

Configuration parameter for san

Array<string>
state
State

Current state of the resource

string
<= 1024 characters
used_by
Used By

Configuration parameter for used by

object
Examplegenerated
{
"certificate_detail": {
"certificate_added": true,
"certificate_added_date": "2026-04-15T12:00:00Z",
"certificate_content": {
"cert": "example",
"csr": "example",
"id": "example",
"pkey": "example"
},
"common_name": "example",
"country_name": "example",
"created_by_user": "example",
"creation_time": "2026-04-15T12:00:00Z",
"csr_name": "example",
"email": "hello@example.com",
"enterprise_id": "example",
"expiration_date": "2026-04-15T12:00:00Z",
"id": "example",
"issuer": "example",
"last_update_time": "2026-04-15T12:00:00Z",
"last_updated_by_user": "example",
"locality": "example",
"name": "example",
"organization_name": "example",
"organization_unit_name": "example",
"retired": true,
"san": [
"example"
],
"state": "example",
"used_by": {}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example